package com.yd.dal.entity.practitioner.hiring;

/**
 * @author xxy
 */
public class HiringListInfo {

    /**
     * 经纪人基本信息id
     */
    private Long hiringBasicInfoId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 手机号
     */
    private String mobileNo;

    /**
     * 报聘职级
     */
    private String practitionerLevel;

    /**
     * 辅导人
     */
    private String mentor;

    /**
     * 申请日期
     */
    private String applicationTime;

    /**
     * 审批身份 0.既是辅导人又是团队长  1.辅导人  2.团队长
     */
    private Long approvalIdentity;

    /**
     * 获取 经纪人基本信息id
     *
     * @return hiringBasicInfoId 经纪人基本信息id
     */
    public Long getHiringBasicInfoId() {
        return this.hiringBasicInfoId;
    }

    /**
     * 设置 经纪人基本信息id
     *
     * @param hiringBasicInfoId 经纪人基本信息id
     */
    public void setHiringBasicInfoId(Long hiringBasicInfoId) {
        this.hiringBasicInfoId = hiringBasicInfoId;
    }

    /**
     * 获取 姓名
     *
     * @return name 姓名
     */
    public String getName() {
        return this.name;
    }

    /**
     * 设置 姓名
     *
     * @param name 姓名
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取 手机号
     *
     * @return mobileNo 手机号
     */
    public String getMobileNo() {
        return this.mobileNo;
    }

    /**
     * 设置 手机号
     *
     * @param mobileNo 手机号
     */
    public void setMobileNo(String mobileNo) {
        this.mobileNo = mobileNo;
    }

    /**
     * 获取 报聘职级
     *
     * @return practitionerLevel 报聘职级
     */
    public String getPractitionerLevel() {
        return this.practitionerLevel;
    }

    /**
     * 设置 报聘职级
     *
     * @param practitionerLevel 报聘职级
     */
    public void setPractitionerLevel(String practitionerLevel) {
        this.practitionerLevel = practitionerLevel;
    }

    /**
     * 获取 辅导人
     *
     * @return mentor 辅导人
     */
    public String getMentor() {
        return this.mentor;
    }

    /**
     * 设置 辅导人
     *
     * @param mentor 辅导人
     */
    public void setMentor(String mentor) {
        this.mentor = mentor;
    }

    /**
     * 获取 申请日期
     *
     * @return applicationTime 申请日期
     */
    public String getApplicationTime() {
        return this.applicationTime;
    }

    /**
     * 设置 申请日期
     *
     * @param applicationTime 申请日期
     */
    public void setApplicationTime(String applicationTime) {
        this.applicationTime = applicationTime;
    }


    /**
     * 获取 审批身份 0.既是辅导人又是团队长  1.辅导人  2.团队长
     *
     * @return approvalIdentity 审批身份 0.既是辅导人又是团队长  1.辅导人  2.团队长
     */
    public Long getApprovalIdentity() {
        return this.approvalIdentity;
    }

    /**
     * 设置 审批身份 0.既是辅导人又是团队长  1.辅导人  2.团队长
     *
     * @param approvalIdentity 审批身份 0.既是辅导人又是团队长  1.辅导人  2.团队长
     */
    public void setApprovalIdentity(Long approvalIdentity) {
        this.approvalIdentity = approvalIdentity;
    }

    @Override
    public String toString() {
        return "HiringListInfo{" +
                "hiringBasicInfoId=" + hiringBasicInfoId +
                ", name='" + name + '\'' +
                ", mobileNo='" + mobileNo + '\'' +
                ", practitionerLevel='" + practitionerLevel + '\'' +
                ", mentor='" + mentor + '\'' +
                ", applicationTime='" + applicationTime + '\'' +
                ", approvalIdentity=" + approvalIdentity +
                '}';
    }
}
